%global __python3 /usr/bin/python3.11
%global python3_pkgversion 3.11

%if 0%{?fedora} || 0%{?rhel} > 7
%global with_python3 1
%endif

Name:           python-zope-event
Version:        4.2.0
Release:        12%{?dist}
Summary:        Zope Event Publication
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/zope.event/
Source0:        https://pypi.python.org/packages/source/z/zope.event/zope.event-%{version}.tar.gz
BuildArch:      noarch

%description
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

# %%package -n python2-zope-event
# Summary:        Zope Event Publication (Python 2)
# %%{?python_provide:%%python_provide python2-zope-event}
# 
# BuildRequires:  python2-devel
# BuildRequires:  python2-setuptools
# 
# Requires:       python2
# 
# %%description -n python2-zope-event
# The zope.event package provides a simple event system. It provides
# an event publishing system and a very simple event-dispatching system
# on which more sophisticated event dispatching systems can be built.
# (For example, a type-based event dispatching system that builds on
# zope.event can be found in zope.component.)
# 
# This package contains the version for Python 2.

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-zope-event
Summary:        Zope Event Publication (Python 3)
%{?python_provide:%python_provide python%{python3_pkgversion}-zope-event}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

# BuildRequires:  python%%{python3_pkgversion}-sphinx

Requires:       python%{python3_pkgversion}

%description -n python%{python3_pkgversion}-zope-event
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

This package contains the version for Python 3.
%endif

%prep
%setup -q -n zope.event-%{version}
rm -rf %{modname}.egg-info

%build
# %%py2_build
%if 0%{?with_python3}
%py3_build
%endif

# build the sphinx documents
# pushd docs
# PYTHONPATH=../src make SPHINXBUILD=sphinx-build-3 html
# rm -f _build/html/.buildinfo
# popd


%install
%if 0%{?with_python3}
%py3_install
%endif
# %%py2_install

# %%check
# %%{__python2} setup.py test
# %%if 0%%{?with_python3}
# %%{__python3} setup.py test
# %%endif

# %%files -n python2-zope-event
# %%doc CHANGES.rst COPYRIGHT.txt README.rst
# %%doc docs/_build/html/
# %%license LICENSE.txt
# %%{python2_sitelib}/zope/event/
# %%exclude %%{python2_sitelib}/zope/event/tests.py*
# %%dir %%{python2_sitelib}/zope/
# #%%{python2_sitelib}/zope/__init__*
# %%{python2_sitelib}/zope.event-*.egg-info
# %%{python2_sitelib}/zope.event-*-nspkg.pth

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-zope-event
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%doc docs/_build/html/
%license LICENSE.txt
%{python3_sitelib}/zope/event/
%exclude %{python3_sitelib}/zope/event/tests.py*
%exclude %{python3_sitelib}/zope/event/__pycache__/tests*
%dir %{python3_sitelib}/zope/
#%%{python3_sitelib}/zope/__init__*
%{python3_sitelib}/zope.event-*.egg-info
%{python3_sitelib}/zope.event-*-nspkg.pth
%endif

%changelog
